# List products attributes

List all products attributes

Endpoint: GET /data-api/v1/catalog/product_attributes
Security: authorization

## Security:

  - `authorization` (unknown)
    http bearer

## Response 200:

  - `200` (unknown)
    Products Attributtes

## Response 200 fields (application/json):

  - `count` (integer)
    Record count

  - `data` (array)

  - `data.childrenAttributes` (array, required)

  - `data.childrenAttributes.description` (string, required)
    Product Attribute description

  - `data.childrenAttributes.id` (any, required)
    A unique hexadecimal identifier for the desired field.
    Example: 1698C53EBC888758570396E0334965C1

  - `data.childrenAttributes.level` (integer, required)
    Product Attribute level

  - `data.childrenAttributes.name` (string, required)
    Product Attribute name

  - `data.description` (string, required)
    Product Attribute description

  - `data.level` (integer, required)
    Product Attribute level

  - `data.name` (string, required)
    Product Attribute name

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: The token provided is not valid

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Unauthorized

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.detail` (string, required)
    Example: null value where string expected

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)
    Example: /data/attributes/petName

  - `errors.title` (string, required)
    Example: Invalid value

